<?php

/**
 * Implementation of hook_views_default_views().
 */
function cgpa_calculator_views_default_views() {
  $views = array();

  // Exported view: cgpa_calculator_admissions_view
  $view = new view;
  $view->name = 'cgpa_calculator_admissions_view';
  $view->description = 'Select the gradescale that will be used for the CGPA calculation.';
  $view->tag = 'cgpa';
  $view->base_table = 'node';
  $view->human_name = '';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Admissions Calculator View */
  $handler = $view->new_display('default', 'Admissions Calculator View', 'default');
  $handler->display->display_options['title'] = 'Admissions CGPA Calculation';
  $handler->display->display_options['use_more'] = TRUE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access data entry views';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = 15;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'delete_node' => 'delete_node',
    'edit_node' => 'edit_node',
    'view_node' => 'view_node',
    'nid' => 'nid',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'delete_node' => array(
      'separator' => '',
    ),
    'edit_node' => array(
      'separator' => '',
    ),
    'view_node' => array(
      'separator' => '',
    ),
    'nid' => array(
      'sortable' => 0,
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['text']['id'] = 'area';
  $handler->display->display_options['header']['text']['table'] = 'views';
  $handler->display->display_options['header']['text']['field'] = 'area';
  $handler->display->display_options['header']['text']['label'] = '';
  $handler->display->display_options['header']['text']['empty'] = TRUE;
  $handler->display->display_options['header']['text']['content'] = 'Use search filters to search for the scale you would like to use. Then select the scale to that you would like to use by clicking the scale name in the "Select Grade Scale" column.';
  $handler->display->display_options['header']['text']['format'] = '1';
  /* Field: Node: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['nid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['nid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['nid']['link_to_node'] = 0;
  /* Field: Content: Country (field_scale_country) */
  $handler->display->display_options['fields']['field_scale_country_value']['id'] = 'field_scale_country_value';
  $handler->display->display_options['fields']['field_scale_country_value']['table'] = 'node_data_field_scale_country';
  $handler->display->display_options['fields']['field_scale_country_value']['field'] = 'field_scale_country_value';
  $handler->display->display_options['fields']['field_scale_country_value']['label'] = 'Country';
  $handler->display->display_options['fields']['field_scale_country_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_scale_country_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_scale_country_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_scale_country_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_scale_country_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_scale_country_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_scale_country_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_scale_country_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_scale_country_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_scale_country_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_scale_country_value']['label_type'] = 'custom';
  /* Field: Content: Grade Scale Name (field_scale_name) */
  $handler->display->display_options['fields']['field_scale_name_value']['id'] = 'field_scale_name_value';
  $handler->display->display_options['fields']['field_scale_name_value']['table'] = 'node_data_field_scale_name';
  $handler->display->display_options['fields']['field_scale_name_value']['field'] = 'field_scale_name_value';
  $handler->display->display_options['fields']['field_scale_name_value']['label'] = 'Grade Scale Name';
  $handler->display->display_options['fields']['field_scale_name_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_scale_name_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_scale_name_value']['alter']['target'] = '_blank';
  $handler->display->display_options['fields']['field_scale_name_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_scale_name_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_scale_name_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_scale_name_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_scale_name_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_scale_name_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_scale_name_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_scale_name_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_scale_name_value']['label_type'] = 'custom';
  /* Field: Content: Grade Type (field_scale_type) */
  $handler->display->display_options['fields']['field_scale_type_value']['id'] = 'field_scale_type_value';
  $handler->display->display_options['fields']['field_scale_type_value']['table'] = 'node_data_field_scale_type';
  $handler->display->display_options['fields']['field_scale_type_value']['field'] = 'field_scale_type_value';
  $handler->display->display_options['fields']['field_scale_type_value']['label'] = 'Type';
  $handler->display->display_options['fields']['field_scale_type_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_scale_type_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_scale_type_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_scale_type_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_scale_type_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_scale_type_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_scale_type_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_scale_type_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_scale_type_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_scale_type_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_scale_type_value']['label_type'] = 'custom';
  /* Field: Node: Link */
  $handler->display->display_options['fields']['view_node_1']['id'] = 'view_node_1';
  $handler->display->display_options['fields']['view_node_1']['table'] = 'node';
  $handler->display->display_options['fields']['view_node_1']['field'] = 'view_node';
  $handler->display->display_options['fields']['view_node_1']['label'] = '';
  $handler->display->display_options['fields']['view_node_1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['view_node_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['view_node_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['view_node_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['view_node_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['view_node_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['view_node_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['view_node_1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['view_node_1']['empty_zero'] = 0;
  /* Field: Node: Link */
  $handler->display->display_options['fields']['view_node']['id'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['table'] = 'node';
  $handler->display->display_options['fields']['view_node']['field'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['label'] = '';
  $handler->display->display_options['fields']['view_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['view_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['view_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['view_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['view_node']['empty_zero'] = 0;
  /* Sort criterion: Content: Country (field_scale_country) */
  $handler->display->display_options['sorts']['field_scale_country_value']['id'] = 'field_scale_country_value';
  $handler->display->display_options['sorts']['field_scale_country_value']['table'] = 'node_data_field_scale_country';
  $handler->display->display_options['sorts']['field_scale_country_value']['field'] = 'field_scale_country_value';
  /* Sort criterion: Content: Grade Scale Name (field_scale_name) */
  $handler->display->display_options['sorts']['field_scale_name_value']['id'] = 'field_scale_name_value';
  $handler->display->display_options['sorts']['field_scale_name_value']['table'] = 'node_data_field_scale_name';
  $handler->display->display_options['sorts']['field_scale_name_value']['field'] = 'field_scale_name_value';
  /* Argument: Global: Null */
  $handler->display->display_options['arguments']['null']['id'] = 'null';
  $handler->display->display_options['arguments']['null']['table'] = 'views';
  $handler->display->display_options['arguments']['null']['field'] = 'null';
  $handler->display->display_options['arguments']['null']['default_action'] = 'default';
  $handler->display->display_options['arguments']['null']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['null']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['null']['validate_fail'] = 'ignore';
  $handler->display->display_options['arguments']['null']['must_not_be'] = 0;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cgpa_gradescale' => 'cgpa_gradescale',
  );
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  /* Filter: Content: Country (field_scale_country) - Allowed values */
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['id'] = 'field_scale_country_value_many_to_one';
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['table'] = 'node_data_field_scale_country';
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['field'] = 'field_scale_country_value_many_to_one';
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['expose']['operator'] = 'field_scale_country_value_many_to_one_op';
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['expose']['label'] = 'Country';
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['expose']['identifier'] = 'field_scale_country_value_many_to_one';
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['expose']['reduce'] = 0;
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['reduce_duplicates'] = 0;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter: Content: Grade Scale Name (field_scale_name) */
  $handler->display->display_options['filters']['field_scale_name_value']['id'] = 'field_scale_name_value';
  $handler->display->display_options['filters']['field_scale_name_value']['table'] = 'node_data_field_scale_name';
  $handler->display->display_options['filters']['field_scale_name_value']['field'] = 'field_scale_name_value';
  $handler->display->display_options['filters']['field_scale_name_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_scale_name_value']['expose']['operator'] = 'field_scale_name_value_op';
  $handler->display->display_options['filters']['field_scale_name_value']['expose']['label'] = 'Content: Grade Scale Name (field_scale_name)';
  $handler->display->display_options['filters']['field_scale_name_value']['expose']['use_operator'] = FALSE;
  $handler->display->display_options['filters']['field_scale_name_value']['expose']['identifier'] = 'field_scale_name_value';
  $handler->display->display_options['filters']['field_scale_name_value']['expose']['optional'] = TRUE;
  $handler->display->display_options['filters']['field_scale_name_value']['expose']['remember'] = FALSE;
  $handler->display->display_options['filters']['field_scale_name_value']['expose']['single'] = TRUE;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* Empty text: Global: Text area */
  $handler->display->display_options['empty']['text']['id'] = 'area';
  $handler->display->display_options['empty']['text']['table'] = 'views';
  $handler->display->display_options['empty']['text']['field'] = 'area';
  $handler->display->display_options['empty']['text']['label'] = '';
  $handler->display->display_options['empty']['text']['empty'] = FALSE;
  $handler->display->display_options['empty']['text']['content'] = 'There are no gradescales available for this country.';
  $handler->display->display_options['empty']['text']['format'] = '1';
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cgpa_gradescale' => 'cgpa_gradescale',
  );
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  /* Filter: Content: Country (field_scale_country) - Allowed values */
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['id'] = 'field_scale_country_value_many_to_one';
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['table'] = 'node_data_field_scale_country';
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['field'] = 'field_scale_country_value_many_to_one';
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['expose']['operator'] = 'field_scale_country_value_many_to_one_op';
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['expose']['label'] = 'Country';
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['expose']['identifier'] = 'field_scale_country_value_many_to_one';
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['expose']['reduce'] = 0;
  $handler->display->display_options['filters']['field_scale_country_value_many_to_one']['reduce_duplicates'] = 0;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter: Content: Grade Scale Name (field_scale_name) */
  $handler->display->display_options['filters']['field_scale_name_value']['id'] = 'field_scale_name_value';
  $handler->display->display_options['filters']['field_scale_name_value']['table'] = 'node_data_field_scale_name';
  $handler->display->display_options['filters']['field_scale_name_value']['field'] = 'field_scale_name_value';
  $handler->display->display_options['filters']['field_scale_name_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_scale_name_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_scale_name_value']['expose']['operator'] = 'field_scale_name_value_op';
  $handler->display->display_options['filters']['field_scale_name_value']['expose']['label'] = 'Grade Scale Name';
  $handler->display->display_options['filters']['field_scale_name_value']['expose']['identifier'] = 'field_scale_name_value';
  $handler->display->display_options['filters']['field_scale_name_value']['case'] = 0;
  $handler->display->display_options['path'] = 'cgpa-calculator/calculator';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'CGPA Calculator';
  $handler->display->display_options['menu']['description'] = 'Create a new CGPA calculation for admissions.';
  $handler->display->display_options['menu']['weight'] = '3';
  $handler->display->display_options['menu']['name'] = 'admin_menu';
  $translatables['cgpa_calculator_admissions_view'] = array(
    t('Admissions Calculator View'),
    t('Admissions CGPA Calculation'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('Use search filters to search for the scale you would like to use. Then select the scale to that you would like to use by clicking the scale name in the "Select Grade Scale" column.'),
    t('Nid'),
    t('Country'),
    t('Grade Scale Name'),
    t('_blank'),
    t('Type'),
    t('All'),
    t('Content: Grade Scale Name (field_scale_name)'),
    t('Page'),
    t('There are no gradescales available for this country.'),
  );

  $views[$view->name] = $view;

  // Exported view: cgpa_calculator_view
  $view = new view;
  $view->name = 'cgpa_calculator_view';
  $view->description = 'View Calculations';
  $view->tag = 'cgpa';
  $view->base_table = 'node';
  $view->human_name = '';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Calc View Default */
  $handler = $view->new_display('default', 'Calc View Default', 'default');
  $handler->display->display_options['title'] = 'CGPA Calculations';
  $handler->display->display_options['use_more'] = TRUE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access data entry views';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = 50;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'field_student_id_value' => 'field_student_id_value',
    'field_student_name_value' => 'field_student_name_value',
    'field_institution_name_value' => 'field_institution_name_value',
    'name' => 'name',
    'view_node' => 'view_node',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'field_student_id_value' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'field_student_name_value' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'field_institution_name_value' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'name' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'view_node' => array(
      'separator' => '',
    ),
    'edit_node' => array(
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  /* Empty text: Global: Text area */
  $handler->display->display_options['empty']['text']['id'] = 'area';
  $handler->display->display_options['empty']['text']['table'] = 'views';
  $handler->display->display_options['empty']['text']['field'] = 'area';
  $handler->display->display_options['empty']['text']['label'] = '';
  $handler->display->display_options['empty']['text']['empty'] = FALSE;
  $handler->display->display_options['empty']['text']['content'] = 'No calculations have been saved.';
  $handler->display->display_options['empty']['text']['format'] = '1';
  /* Field: Content: Student ID (field_student_id) */
  $handler->display->display_options['fields']['field_student_id_value']['id'] = 'field_student_id_value';
  $handler->display->display_options['fields']['field_student_id_value']['table'] = 'node_data_field_student_id';
  $handler->display->display_options['fields']['field_student_id_value']['field'] = 'field_student_id_value';
  $handler->display->display_options['fields']['field_student_id_value']['label'] = 'Filter by Student ID';
  $handler->display->display_options['fields']['field_student_id_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['label_type'] = 'custom';
  /* Field: Content: Student Firstname (field_student_fname) */
  $handler->display->display_options['fields']['field_student_fname_value']['id'] = 'field_student_fname_value';
  $handler->display->display_options['fields']['field_student_fname_value']['table'] = 'node_data_field_student_fname';
  $handler->display->display_options['fields']['field_student_fname_value']['field'] = 'field_student_fname_value';
  $handler->display->display_options['fields']['field_student_fname_value']['label'] = 'Student\'s Firstname';
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['link_to_node'] = 0;
  /* Field: Content: Student Lastname (field_student_lname) */
  $handler->display->display_options['fields']['field_student_lname_value']['id'] = 'field_student_lname_value';
  $handler->display->display_options['fields']['field_student_lname_value']['table'] = 'node_data_field_student_lname';
  $handler->display->display_options['fields']['field_student_lname_value']['field'] = 'field_student_lname_value';
  $handler->display->display_options['fields']['field_student_lname_value']['label'] = 'Student Lastname';
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['link_to_node'] = 0;
  /* Field: Content: Degree (field_degree) */
  $handler->display->display_options['fields']['field_degree_value']['id'] = 'field_degree_value';
  $handler->display->display_options['fields']['field_degree_value']['table'] = 'node_data_field_degree';
  $handler->display->display_options['fields']['field_degree_value']['field'] = 'field_degree_value';
  $handler->display->display_options['fields']['field_degree_value']['label'] = 'Degree';
  $handler->display->display_options['fields']['field_degree_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_degree_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_degree_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['link_to_node'] = 0;
  /* Field: Content: Institution Name (field_institution_name) */
  $handler->display->display_options['fields']['field_institution_name_value']['id'] = 'field_institution_name_value';
  $handler->display->display_options['fields']['field_institution_name_value']['table'] = 'node_data_field_institution_name';
  $handler->display->display_options['fields']['field_institution_name_value']['field'] = 'field_institution_name_value';
  $handler->display->display_options['fields']['field_institution_name_value']['label'] = 'Institution Name';
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['label_type'] = 'custom';
  /* Field: Content: Calculation Faculty (field_faculty) */
  $handler->display->display_options['fields']['field_faculty_value']['id'] = 'field_faculty_value';
  $handler->display->display_options['fields']['field_faculty_value']['table'] = 'node_data_field_faculty';
  $handler->display->display_options['fields']['field_faculty_value']['field'] = 'field_faculty_value';
  $handler->display->display_options['fields']['field_faculty_value']['label'] = 'Calculation Faculty';
  $handler->display->display_options['fields']['field_faculty_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_faculty_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_faculty_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_faculty_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_faculty_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_faculty_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_faculty_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_faculty_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_faculty_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_faculty_value']['link_to_node'] = 0;
  /* Field: Content: Calculation Department (field_dept) */
  $handler->display->display_options['fields']['field_dept_value']['id'] = 'field_dept_value';
  $handler->display->display_options['fields']['field_dept_value']['table'] = 'node_data_field_dept';
  $handler->display->display_options['fields']['field_dept_value']['field'] = 'field_dept_value';
  $handler->display->display_options['fields']['field_dept_value']['label'] = 'Calculation Department';
  $handler->display->display_options['fields']['field_dept_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_dept_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_dept_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_dept_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_dept_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_dept_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_dept_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_dept_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_dept_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_dept_value']['link_to_node'] = 0;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['label'] = 'Author';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 1;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  /* Field: Node: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'node';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Date Updated';
  $handler->display->display_options['fields']['changed']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['changed']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['changed']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['html'] = 0;
  $handler->display->display_options['fields']['changed']['hide_empty'] = 0;
  $handler->display->display_options['fields']['changed']['empty_zero'] = 0;
  $handler->display->display_options['fields']['changed']['custom_date_format'] = 'Y-m-d';
  /* Field: Node: Link */
  $handler->display->display_options['fields']['view_node']['id'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['table'] = 'node';
  $handler->display->display_options['fields']['view_node']['field'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['label'] = '';
  $handler->display->display_options['fields']['view_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['view_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['view_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['view_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['view_node']['empty_zero'] = 0;
  /* Field: Node: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['edit_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['edit_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['edit_node']['empty_zero'] = 0;
  /* Sort criterion: Content: Student ID (field_student_id) */
  $handler->display->display_options['sorts']['field_student_id_value']['id'] = 'field_student_id_value';
  $handler->display->display_options['sorts']['field_student_id_value']['table'] = 'node_data_field_student_id';
  $handler->display->display_options['sorts']['field_student_id_value']['field'] = 'field_student_id_value';
  /* Sort criterion: Node: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cgpa_calculator' => 'cgpa_calculator',
  );
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  /* Filter: Content: Student ID (field_student_id) */
  $handler->display->display_options['filters']['field_student_id_value']['id'] = 'field_student_id_value';
  $handler->display->display_options['filters']['field_student_id_value']['table'] = 'node_data_field_student_id';
  $handler->display->display_options['filters']['field_student_id_value']['field'] = 'field_student_id_value';
  $handler->display->display_options['filters']['field_student_id_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_student_id_value']['expose']['operator'] = 'field_student_id_value_op';
  $handler->display->display_options['filters']['field_student_id_value']['expose']['label'] = 'Student ID';
  $handler->display->display_options['filters']['field_student_id_value']['expose']['identifier'] = 'field_student_id_value';
  $handler->display->display_options['filters']['field_student_id_value']['expose']['optional'] = 1;
  $handler->display->display_options['filters']['field_student_id_value']['case'] = 0;

  /* Display: Calc View Default */
  $handler = $view->new_display('page', 'Calc View Default', 'page_1');
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['text']['id'] = 'area';
  $handler->display->display_options['header']['text']['table'] = 'views';
  $handler->display->display_options['header']['text']['field'] = 'area';
  $handler->display->display_options['header']['text']['label'] = '';
  $handler->display->display_options['header']['text']['empty'] = FALSE;
  $handler->display->display_options['header']['text']['content'] = 'Clicking on a Student ID will show you the list of CGPA calculations for that student.';
  $handler->display->display_options['header']['text']['format'] = '1';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Student ID (field_student_id) */
  $handler->display->display_options['fields']['field_student_id_value']['id'] = 'field_student_id_value';
  $handler->display->display_options['fields']['field_student_id_value']['table'] = 'node_data_field_student_id';
  $handler->display->display_options['fields']['field_student_id_value']['field'] = 'field_student_id_value';
  $handler->display->display_options['fields']['field_student_id_value']['label'] = 'Filter by Student ID';
  $handler->display->display_options['fields']['field_student_id_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['label_type'] = 'custom';
  /* Field: Content: Student Firstname (field_student_fname) */
  $handler->display->display_options['fields']['field_student_fname_value']['id'] = 'field_student_fname_value';
  $handler->display->display_options['fields']['field_student_fname_value']['table'] = 'node_data_field_student_fname';
  $handler->display->display_options['fields']['field_student_fname_value']['field'] = 'field_student_fname_value';
  $handler->display->display_options['fields']['field_student_fname_value']['label'] = 'Student\'s Firstname';
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['link_to_node'] = 0;
  /* Field: Content: Student Lastname (field_student_lname) */
  $handler->display->display_options['fields']['field_student_lname_value']['id'] = 'field_student_lname_value';
  $handler->display->display_options['fields']['field_student_lname_value']['table'] = 'node_data_field_student_lname';
  $handler->display->display_options['fields']['field_student_lname_value']['field'] = 'field_student_lname_value';
  $handler->display->display_options['fields']['field_student_lname_value']['label'] = 'Student Lastname';
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['link_to_node'] = 0;
  /* Field: Content: Degree (field_degree) */
  $handler->display->display_options['fields']['field_degree_value']['id'] = 'field_degree_value';
  $handler->display->display_options['fields']['field_degree_value']['table'] = 'node_data_field_degree';
  $handler->display->display_options['fields']['field_degree_value']['field'] = 'field_degree_value';
  $handler->display->display_options['fields']['field_degree_value']['label'] = 'Degree';
  $handler->display->display_options['fields']['field_degree_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_degree_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_degree_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['link_to_node'] = 0;
  /* Field: Content: Institution Name (field_institution_name) */
  $handler->display->display_options['fields']['field_institution_name_value']['id'] = 'field_institution_name_value';
  $handler->display->display_options['fields']['field_institution_name_value']['table'] = 'node_data_field_institution_name';
  $handler->display->display_options['fields']['field_institution_name_value']['field'] = 'field_institution_name_value';
  $handler->display->display_options['fields']['field_institution_name_value']['label'] = 'Institution Name';
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['label_type'] = 'custom';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['label'] = 'Author';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 1;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  /* Field: Node: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'node';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Date Updated';
  $handler->display->display_options['fields']['changed']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['changed']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['changed']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['html'] = 0;
  $handler->display->display_options['fields']['changed']['hide_empty'] = 0;
  $handler->display->display_options['fields']['changed']['empty_zero'] = 0;
  $handler->display->display_options['fields']['changed']['custom_date_format'] = 'Y-m-d';
  /* Field: Node: Link */
  $handler->display->display_options['fields']['view_node']['id'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['table'] = 'node';
  $handler->display->display_options['fields']['view_node']['field'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['label'] = '';
  $handler->display->display_options['fields']['view_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['view_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['view_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['view_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['view_node']['empty_zero'] = 0;
  /* Field: Node: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['edit_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['edit_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['edit_node']['empty_zero'] = 0;
  $handler->display->display_options['path'] = 'cgpa-calculator/calculations';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Departmental Saved Calculations';
  $handler->display->display_options['menu']['description'] = 'View saved CGPA calculations.';
  $handler->display->display_options['menu']['weight'] = '3';
  $handler->display->display_options['menu']['name'] = 'admin';

  /* Display: Calc View by Student */
  $handler = $view->new_display('page', 'Calc View by Student', 'page_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'CGPA Calculations by Student ID';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Student Firstname (field_student_fname) */
  $handler->display->display_options['fields']['field_student_fname_value']['id'] = 'field_student_fname_value';
  $handler->display->display_options['fields']['field_student_fname_value']['table'] = 'node_data_field_student_fname';
  $handler->display->display_options['fields']['field_student_fname_value']['field'] = 'field_student_fname_value';
  $handler->display->display_options['fields']['field_student_fname_value']['label'] = 'Student\'s Firstname';
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['link_to_node'] = 0;
  /* Field: Content: Student Lastname (field_student_lname) */
  $handler->display->display_options['fields']['field_student_lname_value']['id'] = 'field_student_lname_value';
  $handler->display->display_options['fields']['field_student_lname_value']['table'] = 'node_data_field_student_lname';
  $handler->display->display_options['fields']['field_student_lname_value']['field'] = 'field_student_lname_value';
  $handler->display->display_options['fields']['field_student_lname_value']['label'] = 'Student Lastname';
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_student_lname_value']['link_to_node'] = 0;
  /* Field: Content: Degree (field_degree) */
  $handler->display->display_options['fields']['field_degree_value']['id'] = 'field_degree_value';
  $handler->display->display_options['fields']['field_degree_value']['table'] = 'node_data_field_degree';
  $handler->display->display_options['fields']['field_degree_value']['field'] = 'field_degree_value';
  $handler->display->display_options['fields']['field_degree_value']['label'] = 'Degree';
  $handler->display->display_options['fields']['field_degree_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_degree_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_degree_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['link_to_node'] = 0;
  /* Field: Content: Institution Name (field_institution_name) */
  $handler->display->display_options['fields']['field_institution_name_value']['id'] = 'field_institution_name_value';
  $handler->display->display_options['fields']['field_institution_name_value']['table'] = 'node_data_field_institution_name';
  $handler->display->display_options['fields']['field_institution_name_value']['field'] = 'field_institution_name_value';
  $handler->display->display_options['fields']['field_institution_name_value']['label'] = 'Institution Name';
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['label_type'] = 'custom';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['label'] = 'Author';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 1;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  /* Field: Node: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'node';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Date Updated';
  $handler->display->display_options['fields']['changed']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['changed']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['changed']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['html'] = 0;
  $handler->display->display_options['fields']['changed']['hide_empty'] = 0;
  $handler->display->display_options['fields']['changed']['empty_zero'] = 0;
  $handler->display->display_options['fields']['changed']['custom_date_format'] = 'Y-m-d';
  /* Field: Node: Link */
  $handler->display->display_options['fields']['view_node']['id'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['table'] = 'node';
  $handler->display->display_options['fields']['view_node']['field'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['label'] = '';
  $handler->display->display_options['fields']['view_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['view_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['view_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['view_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['view_node']['empty_zero'] = 0;
  /* Field: Node: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['edit_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['edit_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['edit_node']['empty_zero'] = 0;
  /* Field: Content: Student ID (field_student_id) */
  $handler->display->display_options['fields']['field_student_id_value']['id'] = 'field_student_id_value';
  $handler->display->display_options['fields']['field_student_id_value']['table'] = 'node_data_field_student_id';
  $handler->display->display_options['fields']['field_student_id_value']['field'] = 'field_student_id_value';
  $handler->display->display_options['fields']['field_student_id_value']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['label_type'] = 'none';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Argument: Content: Student ID (field_student_id) */
  $handler->display->display_options['arguments']['field_student_id_value']['id'] = 'field_student_id_value';
  $handler->display->display_options['arguments']['field_student_id_value']['table'] = 'node_data_field_student_id';
  $handler->display->display_options['arguments']['field_student_id_value']['field'] = 'field_student_id_value';
  $handler->display->display_options['arguments']['field_student_id_value']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['field_student_id_value']['title'] = 'CGPA Calculations for Student ID %1';
  $handler->display->display_options['arguments']['field_student_id_value']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_student_id_value']['glossary'] = 0;
  $handler->display->display_options['arguments']['field_student_id_value']['limit'] = '0';
  $handler->display->display_options['arguments']['field_student_id_value']['transform_dash'] = 0;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cgpa_calculator' => 'cgpa_calculator',
  );
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  /* Filter: Content: Degree (field_degree) - Allowed values */
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['id'] = 'field_degree_value_many_to_one';
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['table'] = 'node_data_field_degree';
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['field'] = 'field_degree_value_many_to_one';
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['expose']['operator'] = 'field_degree_value_many_to_one_op';
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['expose']['label'] = 'Degree';
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['expose']['identifier'] = 'field_degree_value_many_to_one';
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['expose']['reduce'] = 0;
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['reduce_duplicates'] = 0;
  $handler->display->display_options['path'] = 'cgpa-calculator/calculations/%/calculations';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Calculation List';
  $handler->display->display_options['menu']['weight'] = '0';

  /* Display: Calc View for Admins */
  $handler = $view->new_display('page', 'Calc View for Admins', 'page_3');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'All CGPA Calculations';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access admin views';
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cgpa_calculator' => 'cgpa_calculator',
  );
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  /* Filter: Content: Student ID (field_student_id) */
  $handler->display->display_options['filters']['field_student_id_value']['id'] = 'field_student_id_value';
  $handler->display->display_options['filters']['field_student_id_value']['table'] = 'node_data_field_student_id';
  $handler->display->display_options['filters']['field_student_id_value']['field'] = 'field_student_id_value';
  $handler->display->display_options['filters']['field_student_id_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_student_id_value']['expose']['operator'] = 'field_student_id_value_op';
  $handler->display->display_options['filters']['field_student_id_value']['expose']['label'] = 'Student ID';
  $handler->display->display_options['filters']['field_student_id_value']['expose']['identifier'] = 'field_student_id_value';
  $handler->display->display_options['filters']['field_student_id_value']['expose']['optional'] = 1;
  $handler->display->display_options['filters']['field_student_id_value']['case'] = 0;
  /* Filter: Content: Calculation Faculty (field_faculty) - Allowed values */
  $handler->display->display_options['filters']['field_faculty_value_many_to_one']['id'] = 'field_faculty_value_many_to_one';
  $handler->display->display_options['filters']['field_faculty_value_many_to_one']['table'] = 'node_data_field_faculty';
  $handler->display->display_options['filters']['field_faculty_value_many_to_one']['field'] = 'field_faculty_value_many_to_one';
  $handler->display->display_options['filters']['field_faculty_value_many_to_one']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_faculty_value_many_to_one']['expose']['operator'] = 'field_faculty_value_many_to_one_op';
  $handler->display->display_options['filters']['field_faculty_value_many_to_one']['expose']['label'] = 'Calculation Faculty';
  $handler->display->display_options['filters']['field_faculty_value_many_to_one']['expose']['identifier'] = 'field_faculty_value_many_to_one';
  $handler->display->display_options['filters']['field_faculty_value_many_to_one']['expose']['single'] = 0;
  $handler->display->display_options['filters']['field_faculty_value_many_to_one']['expose']['reduce'] = 0;
  $handler->display->display_options['filters']['field_faculty_value_many_to_one']['reduce_duplicates'] = 0;
  /* Filter: Content: Calculation Department (field_dept) - Allowed values */
  $handler->display->display_options['filters']['field_dept_value_many_to_one']['id'] = 'field_dept_value_many_to_one';
  $handler->display->display_options['filters']['field_dept_value_many_to_one']['table'] = 'node_data_field_dept';
  $handler->display->display_options['filters']['field_dept_value_many_to_one']['field'] = 'field_dept_value_many_to_one';
  $handler->display->display_options['filters']['field_dept_value_many_to_one']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_dept_value_many_to_one']['expose']['operator'] = 'field_dept_value_many_to_one_op';
  $handler->display->display_options['filters']['field_dept_value_many_to_one']['expose']['label'] = 'Calculation Department';
  $handler->display->display_options['filters']['field_dept_value_many_to_one']['expose']['identifier'] = 'field_dept_value_many_to_one';
  $handler->display->display_options['filters']['field_dept_value_many_to_one']['expose']['single'] = 0;
  $handler->display->display_options['filters']['field_dept_value_many_to_one']['expose']['reduce'] = 0;
  $handler->display->display_options['filters']['field_dept_value_many_to_one']['reduce_duplicates'] = 1;
  $handler->display->display_options['path'] = 'cgpa-calculator/calculations-admin';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'All Saved Calculations';
  $handler->display->display_options['menu']['weight'] = '4';

  /* Display: Calc View for Admins by Student */
  $handler = $view->new_display('page', 'Calc View for Admins by Student', 'page_4');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'CGPA Calculations by Student ID';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access admin views';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Student Firstname (field_student_fname) */
  $handler->display->display_options['fields']['field_student_fname_value']['id'] = 'field_student_fname_value';
  $handler->display->display_options['fields']['field_student_fname_value']['table'] = 'node_data_field_student_fname';
  $handler->display->display_options['fields']['field_student_fname_value']['field'] = 'field_student_fname_value';
  $handler->display->display_options['fields']['field_student_fname_value']['label'] = 'Student\'s Firstname';
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_student_fname_value']['link_to_node'] = 0;
  /* Field: Content: Student Lastname (field_student_lname) */
  $handler->display->display_options['fields']['field_student_lname_value']['id'] = 'field_student_lname_value';
  $handler->display->display_options['fields']['field_student_lname_value']['table'] = 'node_data_field_student_lname';
  $handler->display->display_options['fields']['field_student_lname_value']['field'] = 'field_student_lname_value';
  /* Field: Content: Degree (field_degree) */
  $handler->display->display_options['fields']['field_degree_value']['id'] = 'field_degree_value';
  $handler->display->display_options['fields']['field_degree_value']['table'] = 'node_data_field_degree';
  $handler->display->display_options['fields']['field_degree_value']['field'] = 'field_degree_value';
  $handler->display->display_options['fields']['field_degree_value']['label'] = 'Degree';
  $handler->display->display_options['fields']['field_degree_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_degree_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_degree_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_degree_value']['link_to_node'] = 0;
  /* Field: Content: Institution Name (field_institution_name) */
  $handler->display->display_options['fields']['field_institution_name_value']['id'] = 'field_institution_name_value';
  $handler->display->display_options['fields']['field_institution_name_value']['table'] = 'node_data_field_institution_name';
  $handler->display->display_options['fields']['field_institution_name_value']['field'] = 'field_institution_name_value';
  $handler->display->display_options['fields']['field_institution_name_value']['label'] = 'Institution Name';
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_institution_name_value']['label_type'] = 'custom';
  /* Field: Content: Calculation Department (field_dept) */
  $handler->display->display_options['fields']['field_dept_value']['id'] = 'field_dept_value';
  $handler->display->display_options['fields']['field_dept_value']['table'] = 'node_data_field_dept';
  $handler->display->display_options['fields']['field_dept_value']['field'] = 'field_dept_value';
  $handler->display->display_options['fields']['field_dept_value']['label'] = 'Calculation Department';
  $handler->display->display_options['fields']['field_dept_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_dept_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_dept_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_dept_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_dept_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_dept_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_dept_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_dept_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_dept_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_dept_value']['link_to_node'] = 0;
  /* Field: Content: Calculation Department (field_dept) */
  $handler->display->display_options['fields']['field_dept_value_1']['id'] = 'field_dept_value_1';
  $handler->display->display_options['fields']['field_dept_value_1']['table'] = 'node_data_field_dept';
  $handler->display->display_options['fields']['field_dept_value_1']['field'] = 'field_dept_value';
  $handler->display->display_options['fields']['field_dept_value_1']['label'] = 'Calculation Department';
  $handler->display->display_options['fields']['field_dept_value_1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_dept_value_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_dept_value_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_dept_value_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_dept_value_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_dept_value_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_dept_value_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_dept_value_1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_dept_value_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_dept_value_1']['link_to_node'] = 0;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['label'] = 'Author';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 1;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  /* Field: Node: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'node';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['changed']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['changed']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['html'] = 0;
  $handler->display->display_options['fields']['changed']['hide_empty'] = 0;
  $handler->display->display_options['fields']['changed']['empty_zero'] = 0;
  /* Field: Node: Link */
  $handler->display->display_options['fields']['view_node']['id'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['table'] = 'node';
  $handler->display->display_options['fields']['view_node']['field'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['label'] = '';
  $handler->display->display_options['fields']['view_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['view_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['view_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['view_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['view_node']['empty_zero'] = 0;
  /* Field: Node: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['edit_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['edit_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['edit_node']['empty_zero'] = 0;
  /* Field: Content: Student ID (field_student_id) */
  $handler->display->display_options['fields']['field_student_id_value']['id'] = 'field_student_id_value';
  $handler->display->display_options['fields']['field_student_id_value']['table'] = 'node_data_field_student_id';
  $handler->display->display_options['fields']['field_student_id_value']['field'] = 'field_student_id_value';
  $handler->display->display_options['fields']['field_student_id_value']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_student_id_value']['label_type'] = 'none';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Argument: Content: Student ID (field_student_id) */
  $handler->display->display_options['arguments']['field_student_id_value']['id'] = 'field_student_id_value';
  $handler->display->display_options['arguments']['field_student_id_value']['table'] = 'node_data_field_student_id';
  $handler->display->display_options['arguments']['field_student_id_value']['field'] = 'field_student_id_value';
  $handler->display->display_options['arguments']['field_student_id_value']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_student_id_value']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['field_student_id_value']['title'] = 'CGPA Calculations for Student ID %1';
  $handler->display->display_options['arguments']['field_student_id_value']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_student_id_value']['glossary'] = 0;
  $handler->display->display_options['arguments']['field_student_id_value']['limit'] = '0';
  $handler->display->display_options['arguments']['field_student_id_value']['transform_dash'] = 0;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cgpa_calculator' => 'cgpa_calculator',
  );
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  /* Filter: Content: Degree (field_degree) - Allowed values */
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['id'] = 'field_degree_value_many_to_one';
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['table'] = 'node_data_field_degree';
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['field'] = 'field_degree_value_many_to_one';
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['expose']['operator'] = 'field_degree_value_many_to_one_op';
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['expose']['label'] = 'Degree';
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['expose']['identifier'] = 'field_degree_value_many_to_one';
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['expose']['reduce'] = 0;
  $handler->display->display_options['filters']['field_degree_value_many_to_one']['reduce_duplicates'] = 0;
  $handler->display->display_options['path'] = 'cgpa-calculator/calculations-admin/%/calculations';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Calculation List';
  $handler->display->display_options['menu']['weight'] = '0';
  $translatables['cgpa_calculator_view'] = array(
    t('Calc View Default'),
    t('CGPA Calculations'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('No calculations have been saved.'),
    t('Filter by Student ID'),
    t('Student\'s Firstname'),
    t('Student Lastname'),
    t('Degree'),
    t('Institution Name'),
    t('Calculation Faculty'),
    t('Calculation Department'),
    t('Author'),
    t('Date Updated'),
    t('Student ID'),
    t('Clicking on a Student ID will show you the list of CGPA calculations for that student.'),
    t('Calc View by Student'),
    t('CGPA Calculations by Student ID'),
    t('All'),
    t('CGPA Calculations for Student ID %1'),
    t('Calc View for Admins'),
    t('All CGPA Calculations'),
    t('Calc View for Admins by Student'),
    t('Updated date'),
  );

  $views[$view->name] = $view;

  // Exported view: gradescale_field_options
  $view = new view;
  $view->name = 'gradescale_field_options';
  $view->description = '';
  $view->tag = '';
  $view->base_table = 'node';
  $view->human_name = '';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Node: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 0;
  /* Sort criterion: Content: Country (field_scale_country) */
  $handler->display->display_options['sorts']['field_scale_country_value']['id'] = 'field_scale_country_value';
  $handler->display->display_options['sorts']['field_scale_country_value']['table'] = 'node_data_field_scale_country';
  $handler->display->display_options['sorts']['field_scale_country_value']['field'] = 'field_scale_country_value';
  /* Sort criterion: Content: Grade Scale Name (field_scale_name) */
  $handler->display->display_options['sorts']['field_scale_name_value']['id'] = 'field_scale_name_value';
  $handler->display->display_options['sorts']['field_scale_name_value']['table'] = 'node_data_field_scale_name';
  $handler->display->display_options['sorts']['field_scale_name_value']['field'] = 'field_scale_name_value';
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cgpa_gradescale' => 'cgpa_gradescale',
  );
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  $translatables['gradescale_field_options'] = array(
    t('Defaults'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
  );

  $views[$view->name] = $view;

  return $views;
}
